| LPCOpen Platform v1.03 LPCOpen Platform for NXP LPC Microcontrollers

- Main Page
- Modules
- Data Structures
- Files
- Related Pages

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Functions
ROM based class CDC
ROM stack support

## Detailed Description

## Functions
uint32_t | CALLBACK_UsbdCdc_Register_ControlInterfaceDescriptor (void)
| Call back function registers control interface descriptor.
uint32_t | CALLBACK_UsbdCdc_Register_DataInterfaceDescriptor (void)
| Call back function registers data interface descriptor.
uint32_t | CALLBACK_UsbdCdc_Register_LineCoding (void)
| Call back function registers line encoding.
uint8_t | CALLBACK_UsbdCdc_Register_DataInEndpointNumber (void)
| Call back function registers data in endpoint number.
uint8_t | CALLBACK_UsbdCdc_Register_DataOutEndpointNumber (void)
| Call back function registers data out endpoint number.
uint8_t | CALLBACK_UsbdCdc_Register_NotificationEndpointNumber (void)
| Call back function registers notification endpoint number.
uint32_t | CALLBACK_UsbdCdc_Register_DataInEndpointSize (void)
| Call back function registers data in endpoint size.
uint32_t | CALLBACK_UsbdCdc_Register_DataOutEndpointSize (void)
| Call back function registers data out endpoint size.

## Function Documentation

uint32_t CALLBACK_UsbdCdc_Register_ControlInterfaceDescriptor | ( | void |  | ) |

Call back function registers control interface descriptor.

Returns
  Address of control interface descriptor array

uint8_t CALLBACK_UsbdCdc_Register_DataInEndpointNumber | ( | void |  | ) |

Call back function registers data in endpoint number.

Returns
  number of In endpoint

uint32_t CALLBACK_UsbdCdc_Register_DataInEndpointSize | ( | void |  | ) |

Call back function registers data in endpoint size.

Returns
  size of In endpoint

uint32_t CALLBACK_UsbdCdc_Register_DataInterfaceDescriptor | ( | void |  | ) |

Call back function registers data interface descriptor.

Returns
  Address of data interface descriptor array

uint8_t CALLBACK_UsbdCdc_Register_DataOutEndpointNumber | ( | void |  | ) |

Call back function registers data out endpoint number.

Returns
  number of Out endpoint

uint32_t CALLBACK_UsbdCdc_Register_DataOutEndpointSize | ( | void |  | ) |

Call back function registers data out endpoint size.

Returns
  size of Out endpoint

uint32_t CALLBACK_UsbdCdc_Register_LineCoding | ( | void |  | ) |

Call back function registers line encoding.

Returns
  Address of line encoding

uint8_t CALLBACK_UsbdCdc_Register_NotificationEndpointNumber | ( | void |  | ) |

Call back function registers notification endpoint number.

Returns
  number of Notification endpoint